
QGIS Application - Bug report #21254

Layer Properties > Load Style > From database > 'Other styles ...' > Description column contains 

Name text, should contain Description text (it is a geopackage layer)

2019-02-13 12:45 PM - Steve Lowman

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Symbology

Affected QGIS version:3.5(master) Regression?: No

Operating System: Any Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29072

Description

Using Layer Properties > Style > Save Style, I save a style for a geopackage layer, and I enter the 'Name' and a slightly longer text for the

'Description'. Then, I go into the Load Style dialog for a layer in the same geopackage.

In the 'Styles related to the layer' table list, the 'Name' text and the 'Description' text are both correctly displaying what I entered.

However, in the 'Other styles on the database' table list, the 'Description'  column is showing the same text as in the 'Name' column. It

should display the text that I entered for 'Description' when I saved the styles.

(I do not know what category to make this report - maybe 'Forms'?)

Associated revisions

Revision 3e041b3a - 2019-02-13 03:09 PM - Alessandro Pasotti

[ogr] Show style description instead of name in other styles

Fixes #21254

History

#1 - 2019-02-13 12:57 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

While I'm on styles I can have a look

#2 - 2019-02-13 01:18 PM - Giovanni Manghi

- Category changed from Unknown to Symbology

#3 - 2019-02-13 02:30 PM - Steve Lowman

A slightly off-topic suggestion:

Perhaps for the same dialog, it could be worth considering changing the default value in the the drop-down list at the top, when it is a geopackage layer, to

be 'From database' (for the Load Style dialog) or 'In database' (for the Save Style dialog), instead of defaulting to the .qml file option.
#4 - 2019-02-13 02:43 PM - Alessandro Pasotti

Actually, I've been thinking for a while at remembering last user's choice (and I've just finished to implement it).

#5 - 2019-02-13 03:17 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Operating System changed from Windows 10 to Any

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.4.4 to 3.5(master)

PR https://github.com/qgis/QGIS/pull/9170

#6 - 2019-02-13 04:17 PM - Steve Lowman

That's great, very quick fix. Thank you for the fine work. I notice you changed the affected version to 3.5. Will the fix apply to 3.4.5 LTR?

#7 - 2019-02-13 04:20 PM - Alessandro Pasotti

Np, thanks for reporting.

Yes: this will be backported to 3.4 release branch

#8 - 2019-02-14 08:24 AM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|3e041b3a30cb7703cbe37bfe7e2a1df65a2ef1d6.
